import java.awt.*;
import java.applet.*;

public class MazeGame extends java.applet.Applet {

    int x=0,y=0;
    int lastx, lasty;
    int level[][] = new int[20][20]; // 20 * 20 level

    public boolean keyDown(Event evt, int key)
    {
        lastx = x;
        lasty = y;
        switch(key)
        {
            case 1006:
                x-=10;
                break;
            case 1005:
                y+=10;
                break;
            case 1007:
                x+=10;
                break;
            case 1004:
                y-=10;
                break;
            default:
        }
        repaint();
        //System.out.println(key + " pressed.");
        return true;
    }
    public void init() {
        
        level = new int[][] {{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
                             {1,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,1},
                             {1,0,1,0,1,1,1,1,1,1,1,0,1,1,1,1,1,1,0,1},
                             {1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,0,1},
                             {1,0,1,0,1,0,1,1,1,1,1,1,1,1,1,1,1,1,0,1},
                             {1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,1,0,1},
                             {1,0,1,0,1,0,1,0,1,1,1,1,1,1,1,1,0,1,0,1},
                             {1,0,1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,1,0,1},
                             {1,0,0,0,1,0,1,0,1,0,1,1,1,1,1,1,1,1,0,1},
                             {1,0,1,0,1,0,1,0,1,0,1,0,0,0,0,0,0,1,0,1},
                             {1,0,1,0,1,0,1,0,1,0,1,0,1,1,1,1,0,1,0,1},
                             {1,0,1,0,1,0,1,0,1,0,1,0,1,0,0,1,0,1,0,1},
                             {1,0,1,0,1,0,1,0,1,0,1,0,1,1,1,1,0,1,0,1},
                             {1,0,1,0,1,0,1,0,1,0,1,0,1,0,0,1,0,1,0,1},
                             {1,0,1,0,1,0,1,0,1,0,1,2,1,1,0,1,0,1,0,1},
                             {1,0,1,0,1,0,1,0,1,0,1,1,1,1,0,1,0,1,0,1},
                             {1,0,1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,1,0,1},
                             {1,0,1,1,1,0,1,0,1,1,1,1,1,1,1,1,1,1,0,1},
                             {1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1},
                             {1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1}};
    
        x = 10;
        y = 10;
        lastx = 10;
        lasty = 10;
    }    
    public void paint(Graphics g)
    {
        for(int i = 0; i < 20; i++) {
            for(int j = 0; j < 20; j++) {
                if((i*10) == x && (j*10) == y) {
                    if(level[j][i] == 1) {
                        x=lastx;
                        y=lasty;
                    } else if(level[j][i] == 2) {
                        g.setColor(Color.darkGray);
                        g.drawString("You Win!",220,90);
                        g.setColor(Color.black);
                        init();
                    }
                }
            }
        }
            
        g.setColor(Color.black);
        for(int i = 0; i < 20; i++) {
            for(int j = 0; j < 20; j++) {
                if(level[j][i] ==1) 
                {
                    g.fillRect(i*10, j*10, 10, 10);
                }
                else if(level[j][i] ==2)
                {
                    g.setColor(Color.blue);
                    g.fillRect(i*10, j*10, 10, 10);
                    g.setColor(Color.black);
                }
                
            }
        }
        g.setColor(Color.red);
        g.fillRect(x, y, 10, 10);
        
        g.setColor(Color.black);
        g.drawString("Maze Game (Beta)",220,15);
        g.drawString("By Brandon Scott",220,30);
        g.drawString("Debug X/Y",220,55);
        g.drawString("x=" + x + ", y=" + y,220,70);   
    }
}