import java.text.*;
import java.io.*;

public class NationalParcelService
{
    public static void main(String []args) throws IOException
    {
        double length, width, depth, weight;
        double cubicft = 0, rate = 0, baserate = 0, total = 0, surcharge = 0;
        double taxamnt = 0.07;
        BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
        NumberFormat curr1 = NumberFormat.getCurrencyInstance();
        System.out.print("Package Length? "); length = Double.parseDouble(in.readLine());
        System.out.print("Package Width? "); width = Double.parseDouble(in.readLine());
        System.out.print("Package Depth? "); depth = Double.parseDouble(in.readLine());
        System.out.print("Package Weight? "); weight = Double.parseDouble(in.readLine());
        if(weight > 50) {
            System.out.println("Package Resfused: Package Weight Exceeds 50 lbs.");
            System.exit(1);
        }
        if(length > 3 || width > 3 || depth > 3)
        {
            System.out.println("Package Resfused: Dimensions Exceed 3 Feet.");
            System.exit(1);
        }
        if(weight < 20) 
            rate = 0.08;
        else if(weight > 20 && weight < 40) 
            rate = 0.10;
        else if(weight > 40) 
            rate = 0.15;
        baserate = 0.75;
        total = (rate * weight);
        if((length * width * depth) > 18) surcharge = 1.00;
        System.out.println("National Parcel Service Package Data");
        System.out.println("------------------------------------");
        System.out.println("Base Rate\t\t\t" + curr1.format(baserate));
        System.out.println("Weight @ " + curr1.format(rate) + " per lb.\t\t" + curr1.format(total));
        System.out.println("Volume Surcharge\t\t" + curr1.format(surcharge));
        System.out.println("");
        total = total+baserate;
        System.out.println("\t\t\tSubtotal " + curr1.format(total));
        System.out.println("Tax ( 7% )\t\t\t" + curr1.format((total * taxamnt)));
        total = total+(total * taxamnt);
        System.out.println("\t\t\tTotal Due " + curr1.format(total));
        
    }
}

